/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.Realtech.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Realtech
 */
@Entity
@Table(name = "tbl_log_tramas")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TblLogTramas.findAll", query = "SELECT t FROM TblLogTramas t")
    , @NamedQuery(name = "TblLogTramas.findByIdLogTrama", query = "SELECT t FROM TblLogTramas t WHERE t.idLogTrama = :idLogTrama")
    , @NamedQuery(name = "TblLogTramas.findByReferencia", query = "SELECT t FROM TblLogTramas t WHERE t.referencia = :referencia")
    , @NamedQuery(name = "TblLogTramas.findByConsumo", query = "SELECT t FROM TblLogTramas t WHERE t.consumo = :consumo")
    , @NamedQuery(name = "TblLogTramas.findByTramaEnvio", query = "SELECT t FROM TblLogTramas t WHERE t.tramaEnvio = :tramaEnvio")
    , @NamedQuery(name = "TblLogTramas.findByTramaRespuesta", query = "SELECT t FROM TblLogTramas t WHERE t.tramaRespuesta = :tramaRespuesta")
    , @NamedQuery(name = "TblLogTramas.findByCreated", query = "SELECT t FROM TblLogTramas t WHERE t.created = :created")
    , @NamedQuery(name = "TblLogTramas.findByUpdated", query = "SELECT t FROM TblLogTramas t WHERE t.updated = :updated")})
public class TblLogTramas implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id_log_trama")
    private Long idLogTrama;
    @Column(name = "referencia")
    private String referencia;
    @Column(name = "consumo")
    private String consumo;
    @Column(name = "trama_envio")
    private String tramaEnvio;
    @Column(name = "trama_respuesta")
    private String tramaRespuesta;
    @Column(name = "created")
    @Temporal(TemporalType.TIMESTAMP)
    private Date created;
    @Column(name = "updated")
    @Temporal(TemporalType.TIMESTAMP)
    private Date updated;
    @Column(name = "id_concepto_servicio")
    private Long idConceptoServicio;

    public TblLogTramas() {
    }

    public TblLogTramas(Long idLogTrama) {
        this.idLogTrama = idLogTrama;
    }

    public Long getIdLogTrama() {
        return idLogTrama;
    }

    public void setIdLogTrama(Long idLogTrama) {
        this.idLogTrama = idLogTrama;
    }

    public String getReferencia() {
        return referencia;
    }

    public void setReferencia(String referencia) {
        this.referencia = referencia;
    }

    public String getConsumo() {
        return consumo;
    }

    public void setConsumo(String consumo) {
        this.consumo = consumo;
    }

    public String getTramaEnvio() {
        return tramaEnvio;
    }

    public void setTramaEnvio(String tramaEnvio) {
        this.tramaEnvio = tramaEnvio;
    }

    public String getTramaRespuesta() {
        return tramaRespuesta;
    }

    public void setTramaRespuesta(String tramaRespuesta) {
        this.tramaRespuesta = tramaRespuesta;
    }

    public Date getCreated() {
        return created;
    }

    public void setCreated(Date created) {
        this.created = created;
    }

    public Date getUpdated() {
        return updated;
    }

    public void setUpdated(Date updated) {
        this.updated = updated;
    }

    public Long getIdConceptoServicio() {
        return idConceptoServicio;
    }

    public void setIdConceptoServicio(Long idConceptoServicio) {
        this.idConceptoServicio = idConceptoServicio;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (idLogTrama != null ? idLogTrama.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TblLogTramas)) {
            return false;
        }
        TblLogTramas other = (TblLogTramas) object;
        if ((this.idLogTrama == null && other.idLogTrama != null) || (this.idLogTrama != null && !this.idLogTrama.equals(other.idLogTrama))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.Realtech.entity.TblLogTramas[ idLogTrama=" + idLogTrama + " ]";
    }
    
}
